#ifndef _CONFIGURE_H_
#define _CONFIGURE_H_

typedef struct hatena_configuration {
	gboolean updated;
	gchar *username;
	gchar *password;
	gboolean offline;
	gboolean useproxy;
	gchar *proxy_server;
	gchar *proxy_port;
	gboolean useproxyauth;
	gchar *proxy_username;
	gchar *proxy_password;
} hatena_configuration;

extern GMutex *hatena_cfg_mutex;
extern hatena_configuration hatena_cfg;


GtkWidget* hatena_create_cfgdlg (void (* update_cb_func) (void));

void hatena_update_message(gchar *);

#endif
